Bug 226514 - [MAINTAINER] devel/ocl-icd: update from 2.2.11 to 2.2.12
Summary: [MAINTAINER] devel/ocl-icd: update from 2.2.11 to 2.2.12
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords: patch
Depends on:
Blocks: 227441
  Show dependency treegraph
 
Reported: 2018-03-11 09:35 UTC by O. Hartmann
Modified: 2018-07-04 04:49 UTC (History)
2 users (show)

See Also:


Attachments
patch ocl-icd 2.2.11 -> 2.2.12 (3.17 KB, patch)
2018-03-11 09:35 UTC, O. Hartmann
no flags Details | Diff
Adding mandatory --enable-pthread-once configure option (3.22 KB, patch)
2018-04-11 08:38 UTC, O. Hartmann
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description O. Hartmann 2018-03-11 09:35:25 UTC
Created attachment 191393 [details]
patch ocl-icd 2.2.11 -> 2.2.12

Attached, you'll find an update on devel/ocl-icd from version 2.2.11 to 2.2.12.
Comment 1 Bugzilla Automation freebsd_committer 2018-03-11 09:35:25 UTC
Maintainer informed via mail
Comment 2 Yuri Victorovich freebsd_committer 2018-03-11 21:12:46 UTC
O. Hartmann,

This port uses your other e-mail address: ohartman@zedat.fu-berlin.de
Could you please update your bugzilla e-mail to match what ports MAINTAINER line says?

Thanks,
Yuri
Comment 3 O. Hartmann 2018-04-11 08:38:21 UTC
Created attachment 192430 [details]
Adding mandatory --enable-pthread-once configure option

ocl-icd is missing pthread() functions as reported, i.e. in Bug 227441:

Unable to find symbol pthread_mutexattr_setkind_np version (null). Aborting.

I think somehow in the process linking against pthreads was lost, since the port as it is right now, (ocl-icd-2.2.11_1) gives:

[...]
# ldd /usr/local/lib/libOpenCL.so
/usr/local/lib/libOpenCL.so:
        libdl.so.1 => /usr/lib/libdl.so.1 (0x800c9c000)
        libc.so.7 => /lib/libc.so.7 (0x80024b000)


and after the patch it gives

# ldd /usr/local/lib/libOpenCL.so
/usr/local/lib/libOpenCL.so:
        libdl.so.1 => /usr/lib/libdl.so.1 (0x800c9c000)
        libthr.so.3 => /lib/libthr.so.3 (0x800ca0000)
        libc.so.7 => /lib/libc.so.7 (0x80024b000)

which solves the error shown in Bug 227441 (but brings up again a well know LLVM bug).
Comment 4 commit-hook freebsd_committer 2018-07-04 04:48:56 UTC
A commit references this bug:

Author: swills
Date: Wed Jul  4 04:47:57 UTC 2018
New revision: 473868
URL: https://svnweb.freebsd.org/changeset/ports/473868

Log:
  devel/ocl-icd: update from 2.2.11 to 2.2.12

  While here, update maintainer email address, cleanup formatting and pet
  portlint.

  PR:		226514
  Submitted by:	O. Hartmann <ohartmann@walstatt.org> (maintainer)

Changes:
  head/devel/ocl-icd/Makefile
  head/devel/ocl-icd/distinfo
Comment 5 Steve Wills freebsd_committer 2018-07-04 04:49:17 UTC
Committed, thanks!